using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using assignment2.Services;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace assignment2.Controllers
{
    [Route("[controller]")]
    [ApiController]
    public class LogController : ControllerBase
    {
        private readonly LogsService _logsService;
        public LogController(LogsService logsService) => _logsService = logsService;

        [HttpGet]
        public async Task<IActionResult> GetAsync(string? user, string? operation, DateTime? startDate, DateTime? endTime)
        {
            var logs = await _logsService.GetAsync(user, operation, startDate, endTime);
            return Ok(logs);
        }

    }
}