using assignment2.Models;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
public class Experience
{
    public int ExperienceId { get; set; }
    public string Name { get; set; }
    public string Description { get; set; }
    [Column(TypeName = "int")]
    public int Price { get; set; }
    public Provider Provider { get; set; }
    public List<SharedExperience>? SharedExperiences { get; set; }
    public List<Discount>? Discounts { get; set; }
    public List<Guest>? Guests { get; set; } = null!;
}