To set up:
Create a .env file containing the connection string (see envExample)
Run desired db in a container (mssql 2019)

To add endpoints
Add a controller
Add a service
Inject the service in program

To add models:
Add a model
Change the ExperienceDBContext (Add DbSet and models if needed)
dotnet ef migrations add -name
dotnet ef database update

add seed data to seeder (optional)

Local development:

For the MongoDB
If you have no container run this in bash or your fav terminal:

docker run -d --name mongodb \
 -p 27017:27017 \
 -e MONGO_INITDB_DATABASE=AssignmentLoggingDB \
 mongo

this profile has no user / pass so it fits the connstring in appsettings.
Then run a get experience query and the db should appear (see compass or other app)

Force reset db
dotnet ef database drop --force
dotnet ef database update

Docker deploy:

To setup the dockerfile:
docker-compose down -v
docker-compose up -d --build
