using assignment2.Models;

public interface IExperienceService
{
    Task<IEnumerable<ExperienceView>> GetExperiences();
    Task<ExperienceView> GetExperience(string name);
    Task<Statistics> GetStatistics();
    Task<IEnumerable<ExperienceSalesView>> GetSales();
    Task<ExperienceView> CreateExperience(CreateExperienceModel experience);
    Task<Experience> UpdateExperience(UpdateExperienceModel experience);
    Task<Experience> DeleteExperience(int id);
    Task<IEnumerable<ExperienceView>> SearchExperience(string? name, string? description, int? price);
}
