
using assignment2.Models;
using Microsoft.EntityFrameworkCore;

public class GuestService : IGuestService
{
    private readonly ExperienceDBContext _context;

    public GuestService(ExperienceDBContext context)
    {
        _context = context;
    }

    public async Task<IEnumerable<Guest>> GetGuests()
    {
        return await _context.Guests.ToListAsync();
    }

    public async Task<Guest> GetGuest(string name)
    {
        return await _context.Guests.FindAsync(name);
    }

}